### Struct

# Phosh NMSecret

since: 0

#### Description [src]

    struct PhoshNMSecret {
      char* name;
      char* key;
      char* value;
      gboolean is_pw;
    }

Used for secret transfer between `PhoshNetworkAuthManager` and `PhoshNetworkAuthPrompt`.

###### Structure members

`name`

  The secrets name.

`key`

  The key that identifies it to the nm plugin.

`value`

  The value (secret)

`is_pw`

  Whether this is a secret.

Available since: 0